import { getUserLoader } from './User';
import { getGeolocationsLoader } from './Geolocation';
import { getActivityLoader } from './Activity';
import { getScoreLoader } from './Score';

const cacheMap = new Map();
const userLoader = getUserLoader(cacheMap);
const geolocationsLoader = getGeolocationsLoader(cacheMap);
const activityLoader = getActivityLoader(cacheMap);
const scoreLoader = getScoreLoader(cacheMap);

// FB Dataloaders
export default {
  user: userLoader,
  geolocation: geolocationsLoader,
  activity: activityLoader,
  score: scoreLoader,
};
